%define ISONAME ISO8859-2
Name: XFree86-%{ISONAME}
Version: 1.0
Release: 9
Copyright: distributable
Source: http://www.biz.net.pl/images/ISO8859-2-bdf.tar.gz
Patch0: XFree86-ISO8859-2-1.0-redhat.patch
Requires: XFree86 > 3.2
BuildRoot: /var/tmp/XFree86-ISO8859-2-root
BuildArch: noarch
Group: User Interface/X
Summary: Central European language fonts for the X Window System.
Prereq: chkfontpath
 
%description
If you use the X Window System and you want to display Central
European fonts, you should install the XFree86-ISO8859-2 package.

This package contains a full set of Central European fonts, in
compliance with the ISO 8859-2 standard. 

You may also need to install one or more other XFree86 fonts
packages.

To install the X Window System, you will need to install the
XFree86 package, the XFree86 package which corresponds to your
video card, the X11R6-contrib package, the Xconfigurator
package and the XFree86-libs package.

Finally, if you are going to develop applications that run as
X clients, you will also need to install XFree86-devel.

%package 75dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: A set of 75 dpi Central European language fonts for X.

%description 75dpi-fonts
The XFree86-ISO8859-2-75dpi-fonts package contains a set of Central
European language fonts in 75 dpi resolution for the X Window System.
If you have a high resolution monitor capable of supporting 100 dpi,
you should install the 100 dpi version of this package instead.

If you are installing the X Window System and you need to display
Central European language characters in 75 dpi resolution, you should
install this package.  You may also need to install one or more of the
other XFree86 fonts packages as well.  To install the X Window System,
you will need to install the XFree86 package, the XFree86 video card
package that corresponds to your video card, the X11R6-contrib
package, the Xconfigurator package and the XFree86-libs package.  If
you are going to develop applications that will run as X clients, you
will also need to install XFree86-devel.

%package 100dpi-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: ISO 8859-2 fonts in 100 dpi resolution for the X Window System.

%description 100dpi-fonts
The XFree86-ISO8859-2-100dpi-fonts package includes Central European
(ISO 8859-2) fonts, in 100 dpi resolution, for the X Window System.

If you need to display the special characters used by Central European 
languages on your X Window System, and your monitor can support 100 dpi
resolution, you should install the XFree86-ISO8859-2-100dpi-fonts
package.  You may need to install one or more of the other XFree86
fonts packages, as well.  To install the X Window System, you will need
to install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  If you're going
to develop applications which run as X clients, you'll also need to
install XFree86-devel.

%package Type1-fonts
Requires: XFree86 > 3.2
Group: User Interface/X
Summary: Type 1 scalable Central European language (ISO8859-2) fonts for X.

%description Type1-fonts
The XFree86-ISO8859-2-Type1-fonts package contains Central European
Type 1 fonts for the X Window System.

If you need to display Central European language fonts on your X
Window System, you should install the XFree86-ISO8859-2-Type1-fonts
package.  You may need to also install one or more of the other XFree86
fonts packages.  To install the X Window System, you will need to
install the XFree86 package, the XFree86 video card package which
corresponds to your video card, the X11R6-contrib package, the
Xconfigurator package and the XFree86-libs package.  Finally, if you
are going to develop applications that will run as X clients, you'll
need to install XFree86-devel.

%prep
%setup -c -q
%patch0 -p1 -b .redhat

%build
make all

%install
rm -rf $RPM_BUILD_ROOT
DSTFONT=$RPM_BUILD_ROOT/usr/share/fonts/%{ISONAME}
make install PREFIX=$RPM_BUILD_ROOT \
	FONTDIR=$DSTFONT
mkdir -p $DSTFONT/Type1/
touch $DSTFONT/Type1/fonts.{alias,dir,scale}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/misc

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/misc
fi

%post 75dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/75dpi

%postun 75dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/75dpi
fi

%post 100dpi-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/100dpi

%postun 100dpi-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/100dpi
fi

%post Type1-fonts
/usr/sbin/chkfontpath -q -a /usr/share/fonts/%{ISONAME}/Type1

%postun Type1-fonts
if [ "$1" = "0" ]; then
	/usr/sbin/chkfontpath -q -r /usr/share/fonts/%{ISONAME}/Type1
fi

%files
%defattr(-,root,root)
%doc RELEASE_NOTES.TXT
%dir /usr/share/fonts/%{ISONAME}
%dir /usr/share/fonts/%{ISONAME}/misc
/usr/share/fonts/%{ISONAME}/misc/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/misc/fonts.*

%files 75dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/75dpi
/usr/share/fonts/%{ISONAME}/75dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/75dpi/fonts.*

%files 100dpi-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/100dpi
/usr/share/fonts/%{ISONAME}/100dpi/*.gz
%config(noreplace) /usr/share/fonts/%{ISONAME}/100dpi/fonts.*

%files Type1-fonts
%defattr(-,root,root)
%dir /usr/share/fonts/%{ISONAME}/Type1
%config(noreplace) /usr/share/fonts/%{ISONAME}/Type1/fonts.*


%changelog
* Thu Aug 19 1999 Preston Brown <pbrown@redhat.com>
- fonts.* are now config files

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed typos

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Tue Feb 16 1999 Preston Brown <pbrown@redhat.com>
- chkfontpath compliant.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- fonts moved to /usr/share/fonts/ISO8859-2 under new font scheme.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Mon Oct 05 1998 Cristian Gafton <gafton@redhat.com>
- packaged for RH 5.2
- made a noarch package

